org.apache.calcite.avatica

## Class MetaImpl.TypeInfo

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.TypeInfo

Enclosing class:
  MetaImpl

    private static class MetaImpl.TypeInfo
    extends Object

Information about a type.

### Field Summary

Fields
`private static Map<Class<?>,MetaImpl.TypeInfo>` `m`
`private int` `sqlType`
`private String` `sqlTypeName`

### Constructor Summary

Constructors
`private` `TypeInfo(int sqlType, String sqlTypeName)`

### Method Summary

All Methods Static Methods Concrete Methods
`(package private) static void` `put(Class<?> clazz, int sqlType, String sqlTypeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m

    private static Map<Class<?>,MetaImpl.TypeInfo> m

#### sqlType

    private final int sqlType

#### sqlTypeName

    private final String sqlTypeName

### Constructor Detail

#### TypeInfo

    private TypeInfo(int sqlType,
                     String sqlTypeName)

### Method Detail

#### put

    static void put(Class<?> clazz,
                    int sqlType,
                    String sqlTypeName)